For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI Reference
  • Data API
      • POSTBatch Operation
      • GETGet Records
      • POSTInsert Records
      • DELDelete Records
      • GETGet Record By ID
      • PUTUpdate Record
      • DELDelete Record
LogoLogo
Login
Login
Data APIRecords

Get Records

GET
/v1/vaults/:vaultID/:objectName
GET
/v1/vaults/:vaultID/:objectName
$curl https://{{vault_uri}}.vault.skyflowapis.com/v1/vaults/vaultID/objectName \
> -H "Authorization: Bearer <token>"
1{
2 "records": [
3 {
4 "fields": {
5 "Estimated Value": 10000,
6 "Expected Close Date": "2017-07-12",
7 "Opportunity Name": "BPS Pilot",
8 "Owner": {
9 "email": "kat+collab15@skyflow.com",
10 "id": "usrijG9SC4EQlq5cm",
11 "name": "Jess Patel"
12 },
13 "Priority": "Medium",
14 "Proposal Deadline": "2017-06-14",
15 "Status": "Qualification"
16 }
17 },
18 {
19 "fields": {
20 "Estimated Value": 24791,
21 "Expected Close Date": "2017-07-07",
22 "Opportunity Name": "BPS second use case",
23 "Owner": {
24 "email": "kat+collab36@skyflow.com",
25 "id": "usrGqHsNLhH41Q91M",
26 "name": "Sandy Hagen"
27 },
28 "Priority": "Very Low Deprioritize",
29 "Status": "Proposal"
30 }
31 }
32 ]
33}
Returns the specified records from a table.
Was this page helpful?
Previous

Insert Records

Next
Built with

Authentication

AuthorizationBearer

Access token, prefixed by Bearer .

Path parameters

vaultIDstringRequired
objectNamestringRequired

Query parameters

skyflow_idslist of stringsOptional
redactionenumOptional
Allowed values:
tokenizationbooleanOptional
fieldslist of stringsOptional
offsetstringOptional
limitstringOptional
downloadURLbooleanOptional
column_namestringOptional
column_valueslist of stringsOptional
order_byenumOptional
Allowed values:
returnFileMetadatabooleanOptional

Response

OK
recordslist of objects
The specified records.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error